# {{ ansible_managed }}
#

blueprint.site.mapping.corporate = {{ cae_preview.blueprint.site.mapping.corporate }}

com.coremedia.transform.blobCache.basePath = {{ cae_preview.transform.blob_cache.base_path }}

elastic.solr.url                 = {{ cae_preview.elastic.solr.url }}

link.urlPrefixType               = {{ cae_preview.link.url_prefix_type }}

repository.blobCachePath              = {{ cae_preview.repository.blob.cache.path }}
repository.blobCacheSize              = {{ cae_preview.repository.blob.cache.size }}
repository.blobStreamingSizeThreshold = {{ cae_preview.repository.blob.streaming.size_threshold }}
repository.blobStreamingThreads       = {{ cae_preview.repository.blob.streaming.threads }}
repository.heapCacheSize              = {{ cae_preview.repository.heap_cache_size }}
repository.maxCachedBlobSize          = {{ cae_preview.repository.max_cached_blob_size }}
repository.url                        = {{ cae_preview.repository.url }}

solr.collection.cae     = {{ cae_preview.solr.collection.cae }}
solr.url                = {{ cae_preview.solr.url }}

spring.http.encoding.force = {{ cae_preview.spring.http.encoding.force | bool | ternary('true', 'false') }}

themeImporter.themeDeveloperGroups = {{ cae_preview.theme_importer.theme_developer_groups }}

mongoDb.clientURI = {{ cae_preview.mongodb.client_uri }}
mongoDb.prefix    = {{ cae_preview.mongodb.prefix }}

# ServletContext resource [/WEB-INF/application.properties]
#  #
#  # This file must be kept in sync with blueprint/deployment/chef/cookbooks/blueprint-tomcat/recipes/cae-preview.rb
#  #
#
#  # this will deactivate the creation of a jsr-160 connector, which will be provided by tomcat via rmi
#  management.server.remote.url=
#
#  repository.url=http://localhost:40180/coremedia/ior
#
#  # Solr configuration
#  solr.collection.cae=preview
#  solr.url=http://localhost:40080/solr
#
#  # True when this is a "standalone" CAE in a servlet container serving requests directly
#  # or false when behind some URL rewriting reverse proxy (e.g. Apache)
#  cae.is.standalone=true
#
#  # Set this to true to turn on code resources merging (JS and CSS) in preview:
#  #cae.mergeCodeResources=true
#
#  # The time in seconds that freemarker caches freemarker templates.
#  freemarker.template.update.delay.in.seconds=5
#
#  # root dir where the sitemap controller writes its files
#  blueprint.sitemap.target.root=${user.home}/cms/sitemap
#
#  # Hostnames and Ports
#  blueprint.host.calista=localhost
#  blueprint.host.helios=localhost
#  blueprint.host.corporate=localhost
#  blueprint.port=40980
#
#  # The preview webapp builds preview URLs
#  link.urlPrefixType=preview
#
#  # The initial default URL prefixes for our example sites
#  blueprint.site.mapping.calista=${blueprint.sitemap.protocol}://${blueprint.host.calista}:${blueprint.port}
#  blueprint.site.mapping.helios=${blueprint.sitemap.protocol}://${blueprint.host.helios}:${blueprint.port}
#  blueprint.site.mapping.corporate=${blueprint.sitemap.protocol}://${blueprint.host.corporate}:${blueprint.port}
#
#  blueprint.host.studio.helios=studio-helios.localhost
#
#  #  --- Preview CAE Configuration ---------------------------------------------------------------------------------------
#
#  cae.is.preview=true
#
#  # If set to true, html comments will be written to the rendered pages around included fragments.
#  # This is a development feature. With these comments you can easily see which JSP, bean and view
#  # was used to render a fragment.
#  view.debug.enabled=true
#
#  metadata.enabled=true
#
#  # Configures a list of valid Studio URLs. The Studio Preview integration does
#  # only work for listed Studio instances. If left blank, any Studio instance
#  # is considered valid. An example configuration is given below.
#  # pbe.studioUrlWhitelist=https://${blueprint.host.studio.helios},\
#  #  http://${blueprint.host.helios}:40080/studio,\
#  #  http://localhost:40080/studio
#  pbe.studioUrlWhitelist=
#
#  # The list of groups whose users are allowed to use the theme
#  # importer resource and to get a preview with an uploaded theme.
#  # Multiple group names are separated by commas.
#  themeImporter.themeDeveloperGroups=developer
#
#  # If set to true, exceptions will be displayed in a template
#  view.errorhandler.output=true
#
#  # Base path for the persistent blob cache
#  # If not set, transformed blobs are not cached persistently.
#  #com.coremedia.transform.blobCache.basePath=
#
#  # Max allowed disk space usage
#  #com.coremedia.transform.blobCache.size=1000000000
#
#  # Base path for the persistent blob cache
#  # If not set, transformed blobs are not cached persistently.
#  com.coremedia.transform.blobCache.basePath=
#
#  ## Capacity of the throttlingBlobTransformer, in megabytes (conforming to ImageSizePermitStrategy).
#  # Default is 1/2 of the total JVM heap space.
#  #com.coremedia.transform.throttle.permits=
#
#  # Specifies whether the configured permits (com.coremedia.transform.throttle.permits) should be considered a hard limit for transformations.
#  # Setting this to false allows transformations needing more permits (serialized, one at a time).
#  # This would allow larger images to be transformed, but would make OOM exceptions during transformations more likely.
#  # Default is true.
#  #com.coremedia.transform.throttle.hardLimit=true
#
#  # Specifies a safety factor for the ImageSizePermitStrategy to multiply the memory size of an image with. Default is 3.
#  # A number of 3 takes into account that some image operations need to make a copy of the image, plus one copy for the LoadedImageCache:
#  #com.coremedia.transform.throttle.safetyFactor=3.0
#
#  # a factor to multiply the blob size with if the in-memory size of the blob cannot be determined. Default is 1.
#  #com.coremedia.transform.throttle.fallbackFactor=1
#
#  # Specifies the safety factor of the MemoryGuard configured for the imageTransformer. Default is 1.2.
#  #com.coremedia.transform.memoryGuard.safetyFactor=1.2
#
#  # Capacity of the loaded image cache, in bytes. Default is 100 MB.
#  #com.coremedia.transform.loadedImageCacheCapacity=
#
#  # disable auto configuration of features that are explicitly configured by CM components
#  spring.autoconfigure.exclude=\
#    org.springframework.boot.autoconfigure.web.servlet.DispatcherServletAutoConfiguration,\
#    org.springframework.boot.autoconfigure.web.servlet.WebMvcAutoConfiguration,\
#    org.springframework.boot.autoconfigure.freemarker.FreeMarkerAutoConfiguration,\
#    org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration,\
#    org.springframework.boot.autoconfigure.security.servlet.SecurityFilterAutoConfiguration,\
#    org.springframework.boot.autoconfigure.security.servlet.SecurityAutoConfiguration
#
# RL [jar:file:/opt/coremedia/cae-preview-1/apache-tomcat-7.0.94/webapps/cae-preview/WEB-INF/lib/bpbase-es-common-component-1904.2.jar!/META-INF/coremedia/component-elastic-social-plugin.properties]
#  users.token.expirationTime=604800000
#
#  tenant.default=helios
#
# RL [jar:file:/opt/coremedia/cae-preview-1/apache-tomcat-7.0.94/webapps/cae-preview/WEB-INF/lib/cae-base-component-1-SNAPSHOT.jar!/META-INF/coremedia/component-blueprint-cae.properties]
#  repository.url=http://localhost:40180/coremedia/ior
#
#  # root dir where the sitemap controller writes its files
#  blueprint.sitemap.target.root=${user.home}/cms/sitemap
#
#  # query to fire for content bean initialization
#  blueprint.contentbean.initialization.query=TYPE CMLinkable AND isInProduction LIMIT 100
#
#  #
#  # If set to true, html comments will be written to the rendered pages around included fragments.
#  # This is a development feature. With these comments you can easily see which JSP, bean and view
#  # was used to render a fragment.
#  #
#  view.debug.enabled=false
#
#  #
#  # If set to true, exceptions will be displayed in a template
#  #
#  view.errorhandler.enabled=true
#  view.errorhandler.output=false
#  view.errorhandler.output.defaultview=false
#
#  # By convention, templates are written for bean interfaces, but views may be named after any type.
#  # If set to true, viewlookup will only be done for views named after interfaces, not classes, with configurable
#  # excludes and includes.
#  filter.viewlookup.by.predicate=true
#
#  # Enables CSRF prevention, requiring any unsafe (e.g. POST) requests to include the user's CSRF token.
#  security.csrf-prevention.enabled=true
#
#  # true if links to resources such as JavaScript and CSS should be generated to point to files in the
#  # application container (e.g. in modules under META-INF/resources/themes/) instead of the content repository.
#  cae.use.local.resources=false
#
#  # setting to enable merging and minification of resources such as JavaScript and CSS.
#  # if set to true, these resources will be merged and minfied during delivery and only a single
#  # link will be rendered to each type of resource. otherwise, each corresponding script and stylesheet
#  # will be rendered as a seperate link.
#  cae.developer.mode=false
#
#  # True when this is a "standalone" CAE in a servlet container serving requests directly
#  # or false when behind some URL rewriting reverse proxy (e.g. Apache)
#  cae.is.standalone=true
#
#  # Cache size of Java2D images loaded from content blobs, in bytes. Set to 100MB as default.
#  com.coremedia.transform.loadedImageCacheCapacity=104857600
#
#  # Base path for the persistent blob cache
#  # If not set, transformed blobs are not cached persistently.
#  # Only set this property in this file if the path should be the same for all CAEs.
#  # Typically, this path is set differently for the preview and the live CAE and
#  # only for production deployments.
#  #com.coremedia.transform.blobCache.basePath=
#
#  # Max allowed disk space usage
#  #com.coremedia.transform.blobCache.size=1000000000
#
#  # default size for cache keys with CacheKey#cacheClass returning the default "java.lang.Object"
#  cachekeysize.java.lang.object=10000
#
#  # the U-API heap cache size in RAM, -1 means default 20Mb
#  repository.heapCacheSize=-1
#
#  # the U-API blob cache size on disk, -1 means default 10Gb
#  repository.blobCacheSize=-1
#
#  # the U-API maximum size of a blob that can be cached, -1 means default Integer.MAX_VALUE
#  repository.maxCachedBlobSize=-1
#
#  #
#  # Data views cache capacities
#  #
#  assumesIdentity.cache.capacity=5000
#  page.cache.capacity=5000
#  pageGridImpl.cache.capacity=500
#  contentBeanBackedPageGridPlacement.cache.capacity=800
#  aspect.cache.capacity=1000
#
#  # fallback to default view if requested view name raises view exception
#  viewdispatcher.fallback-to-default-view=true
#
# RL [jar:file:/opt/coremedia/cae-preview-1/apache-tomcat-7.0.94/webapps/cae-preview/WEB-INF/lib/cap-editing-pbe-taglib-component-1904.2.jar!/META-INF/coremedia/component-editing-pbe-client.properties]
#  # Configures a list of valid Studio URLs. The Studio Preview integration does
#  # only work for listed Studio instances. If left blank, any Studio instance
#  # is considered valid.
#  pbe.studioUrlWhitelist=
#
# RL [jar:file:/opt/coremedia/cae-preview-1/apache-tomcat-7.0.94/webapps/cae-preview/WEB-INF/lib/es-cae-1-SNAPSHOT.jar!/META-INF/coremedia/component-elastic-social.properties]
#  # signCookie RSA key pairs are generated on-the-fly if not configured
#  #signCookie.publicKey=MFwwDQYJKoZIhvcNAQEBBQADSwAwSAJBAITPdcUYMRXQgFy5dzachyoaEikD1T6sKiABaOKa583jKjPF3GvCKeRB/TQ+mCTl7fYDoYpCuqQIIe2sdU+AX+8CAwEAAQ==
#  #signCookie.privateKey=MIIBVQIBADANBgkqhkiG9w0BAQEFAASCAT8wggE7AgEAAkEAhM91xRgxFdCAXLl3NpyHKhoSKQPVPqwqIAFo4prnzeMqM8Xca8Ip5EH9ND6YJOXt9gOhikK6pAgh7ax1T4Bf7wIDAQABAkA1m+B3/HnjylPmGd8rJifRMNDfyXJMaAZhAPCrd8fV7SJ6a1hpZVcx7DNl6egSmeMGH1Kg3UFgzznRG1CZZmdRAiEA4YZyXuDPDdZn+mKgrZu4sJ1XwcEWzyEfi9qYRr151A0CIQCWwb8mjqEebCbfq5Kr4YKnbW9sWst5kljzl26qlg+Y6wIhAJHuNH2OTIywqzGKtlwAQp8OASYfsomu7kHJ3fUQUA/VAiEAi+1G26XU/CTMLBzW5TxKBdb4ba0UYUGp2Ga87A6eaYMCIDtlY/pvURhB7a5tr6vo1bU7YrfdxtISAhgcc6UFxHhB
#
#  taskQueues.workerNode=false
#  models.createIndexes=true
#  keep.https.after.logout=false
#
# RL [jar:file:/opt/coremedia/cae-preview-1/apache-tomcat-7.0.94/webapps/cae-preview/WEB-INF/lib/management-component-1904.2.jar!/META-INF/coremedia/component-management.properties]
#  #
#  # Configuration for management component
#  #
#
#
#  # Re-use an existing MBean server ("true") or create a new one ("false")
#  management.server.reuse=true
#
#  # JMX remote URL to start a remote connector server for. Leave empty when no server shall be started
#  # Example: service:jmx:jmxmp://localhost:5555
#  management.server.remote.url=
#
#  # Standard MBean name domain
#  management.mbeans.domain=com.coremedia
#
#  # If true, than a key "application" will be added to MBean name automatically
#  management.mbeans.key.application=true
#
